class AhaiAboutUsModel {
  AhaiAboutUsModel({
    required this.title,
    required this.data,
  });

  String title;
  List<AhaiAboutUsModelDetail> data;

  AhaiAboutUsModel copyWith({
    required String title,
    required List<AhaiAboutUsModelDetail> details,
  }) =>
      AhaiAboutUsModel(
        title: title,
        data: details,
      );

  factory AhaiAboutUsModel.fromMap(Map<String, dynamic> json) =>
      AhaiAboutUsModel(
        title: json["title"] ?? "",
        data: json["data"] == null
            ? []
            : List<AhaiAboutUsModelDetail>.from(
                json["data"].map((x) => AhaiAboutUsModelDetail.fromMap(x))),
      );
}

class AhaiAboutUsModelDetail {
  AhaiAboutUsModelDetail({
    required this.value,
  });

  String value;

  AhaiAboutUsModelDetail copyWith({
    required String value,
  }) =>
      AhaiAboutUsModelDetail(
        value: value,
      );

  factory AhaiAboutUsModelDetail.fromMap(Map<String, dynamic> json) =>
      AhaiAboutUsModelDetail(
        value: json["value"] ?? "",
      );
}
