class AhaiCardHorizontalWithPopupModel {
  AhaiCardHorizontalWithPopupModel({
    required this.key,
    required this.data,
  });

  String key;
  List<AhaiCardHorizontalWithPopupDetailModel> data;

  AhaiCardHorizontalWithPopupModel copyWith({
    required String key,
    required List<AhaiCardHorizontalWithPopupDetailModel> data,
  }) =>
      AhaiCardHorizontalWithPopupModel(
        key: key,
        data: data,
      );

  factory AhaiCardHorizontalWithPopupModel.fromMap(Map<String, dynamic> json) =>
      AhaiCardHorizontalWithPopupModel(
        key: json["key"] ?? "",
        data: json["data"] == null
            ? []
            : List<AhaiCardHorizontalWithPopupDetailModel>.from(json["data"]
                .map((x) => AhaiCardHorizontalWithPopupDetailModel.fromMap(x))),
      );
}

class AhaiCardHorizontalWithPopupDetailModel {
  AhaiCardHorizontalWithPopupDetailModel({
    required this.key,
    required this.value,
    required this.src,
    required this.data,
  });

  String key;
  String value;
  String src;
  List<AhaiCardHorizontalWithPopupContentModel> data;

  AhaiCardHorizontalWithPopupDetailModel copyWith({
    required String key,
    required String src,
    required String value,
    required List<AhaiCardHorizontalWithPopupContentModel> data,
  }) =>
      AhaiCardHorizontalWithPopupDetailModel(
        key: key,
        src: src,
        value: value,
        data: data,
      );

  factory AhaiCardHorizontalWithPopupDetailModel.fromMap(
          Map<String, dynamic> json) =>
      AhaiCardHorizontalWithPopupDetailModel(
        key: json["key"] ?? "",
        src: json["src"] ?? "",
        value: json["value"] ?? "",
        data: List<AhaiCardHorizontalWithPopupContentModel>.from(json["data"]
            .map((x) => AhaiCardHorizontalWithPopupContentModel.fromMap(x))),
      );
}

class AhaiCardHorizontalWithPopupContentModel {
  AhaiCardHorizontalWithPopupContentModel({
    required this.key,
    required this.value,
    required this.src,
  });

  String key;
  int value;
  String src;

  AhaiCardHorizontalWithPopupContentModel copyWith({
    required String key,
    required String src,
    required int value,
  }) =>
      AhaiCardHorizontalWithPopupContentModel(
        key: key,
        src: src,
        value: value,
      );

  factory AhaiCardHorizontalWithPopupContentModel.fromMap(
          Map<String, dynamic> json) =>
      AhaiCardHorizontalWithPopupContentModel(
        key: json["key"] ?? "",
        src: json["src"] ?? "",
        value: json["value"] ?? "",
      );
}
