class AhaiCardVerticalTopBottomContentModel {
  AhaiCardVerticalTopBottomContentModel({
    required this.map,
    required this.title,
    required this.key,
    required this.value,
    required this.topContent,
    required this.bottomContent,
  });

  String map;
  String title;
  String key;
  String value;
  List<AhaiCardVerticalTopBottomSubContentModel> topContent;
  List<AhaiCardVerticalTopBottomSubContentModel> bottomContent;

  AhaiCardVerticalTopBottomContentModel copyWith({
    required String map,
    required String title,
    required String key,
    required String value,
    required List<AhaiCardVerticalTopBottomSubContentModel> topContent,
    required List<AhaiCardVerticalTopBottomSubContentModel> bottomContent,
  }) =>
      AhaiCardVerticalTopBottomContentModel(
        map: map,
        title: title,
        key: key,
        value: value,
        topContent: topContent,
        bottomContent: bottomContent,
      );

  factory AhaiCardVerticalTopBottomContentModel.fromMap(
          Map<String, dynamic> json) =>
      AhaiCardVerticalTopBottomContentModel(
        map: json["map"] ?? "",
        title: json["title"] ?? "",
        key: json["key"] ?? "",
        value: json["value"] ?? "",
        topContent: json["topContent"] == null
            ? []
            : List<AhaiCardVerticalTopBottomSubContentModel>.from(
                json["topContent"].map((x) =>
                    AhaiCardVerticalTopBottomSubContentModel.fromMap(x))),
        bottomContent: json["bottomContent"] == null
            ? []
            : List<AhaiCardVerticalTopBottomSubContentModel>.from(
                json["bottomContent"].map((x) =>
                    AhaiCardVerticalTopBottomSubContentModel.fromMap(x))),
      );
}

class AhaiCardVerticalTopBottomSubContentModel {
  AhaiCardVerticalTopBottomSubContentModel({
    required this.key,
    required this.value,
  });

  String key;
  String value;

  AhaiCardVerticalTopBottomSubContentModel copyWith({
    required String key,
    required String value,
  }) =>
      AhaiCardVerticalTopBottomSubContentModel(
        key: key,
        value: value,
      );

  factory AhaiCardVerticalTopBottomSubContentModel.fromMap(
          Map<String, dynamic> json) =>
      AhaiCardVerticalTopBottomSubContentModel(
        key: json["key"] ?? "",
        value: json["value"] ?? "",
      );
}
