class AhaiMapElement {
  AhaiMapElement({
    required this.key,
    required this.value,
  });

  String key;
  String value;

  AhaiMapElement copyWith({
    required String key,
    required String value,
  }) =>
      AhaiMapElement(
        key: key,
        value: value,
      );

  factory AhaiMapElement.fromMap(Map<String, dynamic> json) => AhaiMapElement(
        key: json["key"] ?? "",
        value: json["value"] ?? "",
      );
}
