class AhaiSettingsModel {
  AhaiSettingsModel({
    required this.value,
    required this.type,
  });

  String value;
  String type;

  AhaiSettingsModel copyWith({
    required String value,
    required String type,
  }) =>
      AhaiSettingsModel(
        value: value,
        type: type,
      );

  factory AhaiSettingsModel.fromMap(Map<String, dynamic> json) =>
      AhaiSettingsModel(
        value: json["value"] ?? "",
        type: json["type"] ?? "",
      );
}
