import 'package:ahai_pub_data/model/ahai_map_content.dart';

class AhaiMapDetail {
  AhaiMapDetail({
    required this.title,
    required this.contents,
  });

  String title;
  List<AhaiMapContent> contents;

  AhaiMapDetail copyWith({
    required String title,
    required List<AhaiMapContent> contents,
  }) =>
      AhaiMapDetail(
        title: title,
        contents: contents,
      );

  factory AhaiMapDetail.fromMap(Map<String, dynamic> json) => AhaiMapDetail(
        title: json["title"] ?? "",
        contents: json["contents"] == null
            ? []
            : List<AhaiMapContent>.from(
                json["contents"].map((x) => AhaiMapContent.fromMap(x))),
      );
}
