// ignore_for_file: non_constant_identifier_names

import 'dart:convert';
import 'package:ahai_pub_data/model/ahai_about_us_model.dart';
import 'package:ahai_pub_data/model/ahai_basic_setting.dart';
import 'package:ahai_pub_data/model/ahai_card_horizontal_model.dart';
import 'package:ahai_pub_data/model/ahai_card_horizontal_with_popup_model.dart';
import 'package:ahai_pub_data/model/ahai_card_horizontal_with_sub_model.dart';
import 'package:ahai_pub_data/model/ahai_card_image_widget_model.dart';
import 'package:ahai_pub_data/model/ahai_card_image_with_copy_widget_model.dart';
import 'package:ahai_pub_data/model/ahai_card_vertical_top_bottom_content_model.dart';
import 'package:ahai_pub_data/model/ahai_drop_down_map_model.dart';
import 'package:ahai_pub_data/model/ahai_map_details_model.dart';

class AhaiConvertor {
  static List<AhaiCardHorizontalModel> AhaiCardHorizontalFromMap(String str) =>
      List<AhaiCardHorizontalModel>.from(
        json.decode(str).map(
              (x) => AhaiCardHorizontalModel.fromMap(x),
            ),
      );

  static List<AhaiCardHorizontalWithSubModel> AhaiCardHorizontalWithSubFromMap(
          String str) =>
      List<AhaiCardHorizontalWithSubModel>.from(
        json.decode(str).map(
              (x) => AhaiCardHorizontalWithSubModel.fromMap(x),
            ),
      );

  static List<AhaiCardHorizontalWithPopupModel>
      AhaiCardHorizontalWithPopupFromMap(String str) =>
          List<AhaiCardHorizontalWithPopupModel>.from(
            json.decode(str).map(
                  (x) => AhaiCardHorizontalWithPopupModel.fromMap(x),
                ),
          );

  static List<AhaiCardVerticalTopBottomContentModel>
      AhaiCardVerticalTopBottomContentFromMap(String str) =>
          List<AhaiCardVerticalTopBottomContentModel>.from(
            json.decode(str).map(
                  (x) => AhaiCardVerticalTopBottomContentModel.fromMap(x),
                ),
          );

  static List<AhaiDropdownMapModel> AhaiDropdownMapModelFromMap(String str) =>
      List<AhaiDropdownMapModel>.from(
        json.decode(str).map(
              (x) => AhaiDropdownMapModel.fromMap(x),
            ),
      );

  static List<AhaiCardImageWidgetModel> AhaiCardImageWidgetModelFromMap(
          String str) =>
      List<AhaiCardImageWidgetModel>.from(
        json.decode(str).map(
              (x) => AhaiCardImageWidgetModel.fromMap(x),
            ),
      );

  static List<AhaiCardImageWithCopyWidgetModel>
      AhaiCardImageWithCopyWidgetModelFromMap(String str) =>
          List<AhaiCardImageWithCopyWidgetModel>.from(
            json.decode(str).map(
                  (x) => AhaiCardImageWithCopyWidgetModel.fromMap(x),
                ),
          );
  static List<AhaiMapDetailsModel> AhaiMapDetailsModelFromMap(String str) =>
      List<AhaiMapDetailsModel>.from(
        json.decode(str).map(
              (x) => AhaiMapDetailsModel.fromMap(x),
            ),
      );

  static List<AhaiAboutUsModel> AhaiAboutUsModelFromMap(String str) =>
      List<AhaiAboutUsModel>.from(
        json.decode(str).map(
              (x) => AhaiAboutUsModel.fromMap(x),
            ),
      );

  static List<AhaiSettingsModel> AhaiSettingsModelFromMap(String str) =>
      List<AhaiSettingsModel>.from(
          json.decode(str).map((x) => AhaiSettingsModel.fromMap(x)));
}
